Update an organization service
PUT
application/json- body
Input model used by ServiceController to create or update organization services and their options.
id?integer|nullserviceListId?integer|nullserviceOrgId?integer|nullorganizationId?|Format
int64integrationId?integer|nulloptionId?integer|nullname?string|nulloffsetDays?integer|nullcarrierType?string|nullattributes?|array<any>|string|number|boolean|nulltype?string|nullforDirect?boolean|nullforSub?boolean|nullOrganization service updated.
application/json- response
id?integerOrganization service identifier.
serviceList?|nullorganizationId?|Organization owning the configured service.
Format
int64integration?|Integration summary exposed for the service.
name?|Organization-specific service name.
Length
length <= 300forDirect?|Whether the service is available for direct customers.
forSub?|Whether the service is available for subpartners.
carrierType?|Carrier-specific service classification.
Length
length <= 50offsetDays?|Service scheduling offset in days.
attributes?|Provider-specific service attributes.
curl -X PUT 'https://api.eis.it/v1/service/org/edit' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": 0, "serviceList": { "id": 0, "name": "string", "serviceProvider": { "id": 0, "name": "string", "description": "string" }, "carrier": { "id": 0, "name": "string" }, "type": { "id": 0, "name": "string" }, "supplierProductId": "string" }, "organizationId": 0, "integration": { "id": 0, "name": "string" }, "name": "string", "forDirect": true, "forSub": true, "carrierType": "string", "offsetDays": 0, "attributes": {}}